com.genesyslab.wfm8.API.service.schedule850

## Class SchScenarioAgent

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchScenarioAgent

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioAgent
      extends java.lang.Object
      implements java.io.Serializable

  Scenario Agent information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `gswAgentId` The ID of the actual agent.
    `private static long` | `serialVersionUID`
    `protected int` | `wmBid` A bid on the profile agent schedule.
    `protected int` | `wmPosition` Agent's position based on the ranking system used in the scenario.
    `protected int` | `wmProfileAgentId` The ID for the Profile/Virtual Agent.
    `protected int` | `wmProfileId` The profile ID of the profile agent.
    `protected int` | `wmProfileTeamId` Profile Team ID that profile agent is assigned to
    `protected int` | `wmQuota` Agent preference quota (as a percentage)
    `protected int` | `wmSeniority` Agent seniority value
    `protected int` | `wmSiteId` Site ID
    `protected int` | `wmTeamId` Real Team ID that profile/virtual agent is assigned to
    `protected int` | `wmType` Type of agent.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioAgent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getGswAgentId()` Gets the value of the gswAgentId property.
    `int` | `getWmBid()` Gets the value of the wmBid property.
    `int` | `getWmPosition()` Gets the value of the wmPosition property.
    `int` | `getWmProfileAgentId()` Gets the value of the wmProfileAgentId property.
    `int` | `getWmProfileId()` Gets the value of the wmProfileId property.
    `int` | `getWmProfileTeamId()` Gets the value of the wmProfileTeamId property.
    `int` | `getWmQuota()` Gets the value of the wmQuota property.
    `int` | `getWmSeniority()` Gets the value of the wmSeniority property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `hashCode()`
    `void` | `setGswAgentId(int value)` Sets the value of the gswAgentId property.
    `void` | `setWmBid(int value)` Sets the value of the wmBid property.
    `void` | `setWmPosition(int value)` Sets the value of the wmPosition property.
    `void` | `setWmProfileAgentId(int value)` Sets the value of the wmProfileAgentId property.
    `void` | `setWmProfileId(int value)` Sets the value of the wmProfileId property.
    `void` | `setWmProfileTeamId(int value)` Sets the value of the wmProfileTeamId property.
    `void` | `setWmQuota(int value)` Sets the value of the wmQuota property.
    `void` | `setWmSeniority(int value)` Sets the value of the wmSeniority property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `java.lang.String` | `toString()`
    `SchScenarioAgent` | `withGswAgentId(int value)`
    `SchScenarioAgent` | `withWmBid(int value)`
    `SchScenarioAgent` | `withWmPosition(int value)`
    `SchScenarioAgent` | `withWmProfileAgentId(int value)`
    `SchScenarioAgent` | `withWmProfileId(int value)`
    `SchScenarioAgent` | `withWmProfileTeamId(int value)`
    `SchScenarioAgent` | `withWmQuota(int value)`
    `SchScenarioAgent` | `withWmSeniority(int value)`
    `SchScenarioAgent` | `withWmSiteId(int value)`
    `SchScenarioAgent` | `withWmTeamId(int value)`
    `SchScenarioAgent` | `withWmType(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### wmType

          protected int wmType

      Type of agent. `ESchAgentType`

    - #### gswAgentId

          protected int gswAgentId

      The ID of the actual agent. It must be non-zero for Actual and Virtual types of agents. For a Virtual agent, it contains the ID of the actual agent used as a profile for the Virtual agent. `CfgAgent`

    - #### wmProfileAgentId

          protected int wmProfileAgentId

      The ID for the Profile/Virtual Agent. This ID is auto-generated by Schedule Service and should be used as the agent ID for accessing the profile agent's schedule and the agent's description.

    - #### wmProfileId

          protected int wmProfileId

      The profile ID of the profile agent. `CfgProfile`

    - #### wmQuota

          protected int wmQuota

      Agent preference quota (as a percentage)

    - #### wmSeniority

          protected int wmSeniority

      Agent seniority value

    - #### wmBid

          protected int wmBid

      A bid on the profile agent schedule. A zero value stands for 'undefined'. If the profile agent has an actual agent assigned, then the value can be non-zero.

    - #### wmPosition

          protected int wmPosition

      Agent's position based on the ranking system used in the scenario. A zero value stands for 'undefined'.

    - #### wmTeamId

          protected int wmTeamId

      Real Team ID that profile/virtual agent is assigned to

    - #### wmProfileTeamId

          protected int wmProfileTeamId

      Profile Team ID that profile agent is assigned to

  - ### Constructor Detail

    - #### SchScenarioAgent

          public SchScenarioAgent()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getGswAgentId

          public int getGswAgentId()

      Gets the value of the gswAgentId property.

    - #### setGswAgentId

          public void setGswAgentId(int value)

      Sets the value of the gswAgentId property.

    - #### getWmProfileAgentId

          public int getWmProfileAgentId()

      Gets the value of the wmProfileAgentId property.

    - #### setWmProfileAgentId

          public void setWmProfileAgentId(int value)

      Sets the value of the wmProfileAgentId property.

    - #### getWmProfileId

          public int getWmProfileId()

      Gets the value of the wmProfileId property.

    - #### setWmProfileId

          public void setWmProfileId(int value)

      Sets the value of the wmProfileId property.

    - #### getWmQuota

          public int getWmQuota()

      Gets the value of the wmQuota property.

    - #### setWmQuota

          public void setWmQuota(int value)

      Sets the value of the wmQuota property.

    - #### getWmSeniority

          public int getWmSeniority()

      Gets the value of the wmSeniority property.

    - #### setWmSeniority

          public void setWmSeniority(int value)

      Sets the value of the wmSeniority property.

    - #### getWmBid

          public int getWmBid()

      Gets the value of the wmBid property.

    - #### setWmBid

          public void setWmBid(int value)

      Sets the value of the wmBid property.

    - #### getWmPosition

          public int getWmPosition()

      Gets the value of the wmPosition property.

    - #### setWmPosition

          public void setWmPosition(int value)

      Sets the value of the wmPosition property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### getWmProfileTeamId

          public int getWmProfileTeamId()

      Gets the value of the wmProfileTeamId property.

    - #### setWmProfileTeamId

          public void setWmProfileTeamId(int value)

      Sets the value of the wmProfileTeamId property.

    - #### withWmSiteId

          public SchScenarioAgent withWmSiteId(int value)

    - #### withWmType

          public SchScenarioAgent withWmType(int value)

    - #### withGswAgentId

          public SchScenarioAgent withGswAgentId(int value)

    - #### withWmProfileAgentId

          public SchScenarioAgent withWmProfileAgentId(int value)

    - #### withWmProfileId

          public SchScenarioAgent withWmProfileId(int value)

    - #### withWmQuota

          public SchScenarioAgent withWmQuota(int value)

    - #### withWmSeniority

          public SchScenarioAgent withWmSeniority(int value)

    - #### withWmBid

          public SchScenarioAgent withWmBid(int value)

    - #### withWmPosition

          public SchScenarioAgent withWmPosition(int value)

    - #### withWmTeamId

          public SchScenarioAgent withWmTeamId(int value)

    - #### withWmProfileTeamId

          public SchScenarioAgent withWmProfileTeamId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.